Subject: [Gen-art] Gen Art LC review of: draft-salowey-secsh-uri-00

From: Avshalom Houri <[email-masked]>
Date: Wed, 15 Dec 2010 19:05:32 +0200

I am the assigned Gen-ART reviewer for this draft. For background on 
Gen-ART, please see the FAQ at <
http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Please resolve these comments along with any other Last Call comments you 
may receive.

Document: draft-salowey-secsh-uri-00
Reviewer: Avshalom Houri
Review Date: 2010-12-15
IETF LC End Date: 2010-12-16
IESG Telechat date: (if known)

Summary: The IANA section and the double security considerations section 
should be fixed before the document will be ready.

Major issues:

The IANA section should contain that exact instructions for IANA and not a 
reference.

Minor issues:

Security Considerations in section 3.7 should be removed and should appear 
only once at the end of the document.

Nits/editorial comments:
None

Avshalom

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 15 Dec 2010 23:51:13 +0000

Avshalom Houri wrote:

> Gen-ART, please see the FAQ at 
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>
> Please resolve these comments along with any other Last Call comments 
> you may receive.

Hi Avshalom,
Thanks for your review.

> Summary: The IANA section and the double security considerations 
> section should be fixed before the document will be ready.
>
> Major issues:
>
> The IANA section should contain that exact instructions for IANA and 
> not a reference.

Would the following change address your concern:

OLD:
   Section 3 provides the information required in the URL registration
   template in accordance with [RFC4395].

NEW:
   IANA is requested to register the SSH URI scheme in the IANA registry
   defined by [RFC4395] as specified in Section 3 of this document

?

> Minor issues:
>
> Security Considerations in section 3.7 should be removed and should 
> appear only once at the end of the document.

Actually I disagree. As an AD I prefer to see the full SSH URI 
registration according to the standard template defined in RFC 4395. 
This helps me to make sure that no field is missing from the template.

Regards,
Alexey

---

From: Avshalom Houri <[email-masked]>
Date: Thu, 16 Dec 2010 16:43:16 +0200

I am OK with the change and also understand now the need to leave 
"security considerations" in section 3.7.

tnx
Avshalom

From:   Alexey Melnikov <[email-masked]>
To:     Avshalom Houri/Haifa/IBM@IBMIL
Cc:     [email-masked], [email-masked], [email-masked]
Date:   16/12/10 01:51
Subject:        Re: Gen Art LC review of: draft-salowey-secsh-uri-00

Hi Avshalom,
Thanks for your review.

OLD:

NEW:

?

Regards,
Alexey